//SECTION FOOTER

.footer {
  background-color: $footer-button-bg-color;

  &__container {
    @include flex-center;
    flex-direction: column;
  }

  &-header {
    font-weight: bold;
    text-transform: uppercase;
    color: #FEFEFE;

    &:before {
      content: "- ";
    }
    &:after {
      content: " -";
    }
  }

  &-text {
    color: $footer-text-color;
    text-align: center;
  }

  &__icons {
    @include flex-jb;
    width: 194px;

    &-item {
      width: 34px;
      height: 34px;
      box-sizing: border-box;
      border-radius: 50%;
      display: flex;
      justify-content: center;
      align-items: center;

      &.rss {
        border: 2px solid #F8902E;
      }
      &.facebook {
        border: 2px solid #39599F;
      }
      &.twitter {
        border: 2px solid #45B0E3;
      }
      &.dribble {
        border: 2px solid #D97AB0;
      }
      &.pinterest {
        border: 2px solid #CC212C;
      }
    }
  }

  &__contacts {
    color: $footer-text-color;
    @include flex-center;
    flex-wrap: wrap;

    &-item:after {
      content: "/";
      margin: 0 10px;
    }
  }
}

@media screen and (max-width: 480px) {
  .footer {

    &__container {
      width: 303px;
      margin: 0 auto;
      padding: 41px 0 47px;
    }

    &-header {
      font-size: 14px;
      margin-bottom: 8px;
      line-height: 22px;
    }

    &-text {
      font-size: 12px;
      margin-bottom: 26px;
      line-height: 20px;
    }

    &__icons {
      margin-bottom: 25px;
    }

    &__contacts {
      font-size: 14px;
      line-height: 24px;
      flex-direction: column;

      &-last-item {
      }
    }
  }
}
@media screen and (min-width: 481px) and (max-width: 992px) {
  .footer {

    &__container {
      max-width: 684px;
      margin: 0 auto;
      padding: 57px 25px 56px;
    }

    &-header {
      font-size: 16px;
      margin-bottom: 8px;
      line-height: 22px;
    }

    &-text {
      font-size: 16px;
      margin-bottom: 37px;
      line-height: 28px;
    }

    &__icons {
      margin-bottom: 34px;
    }

    &__contacts {
      font-size: 16px;
      line-height: 26px;
    }
  }
}

@media screen and (min-width: 993px) {
  .footer {

    &__container {
      max-width: 684px;
      margin: 0 auto;
      padding: 66px 25px 70px;
    }

    &-header {
      font-size: 16px;
      margin-bottom: 8px;
      line-height: 22px;
    }

    &-text {
      font-size: 16px;
      margin-bottom: 37px;
      line-height: 28px;
    }

    &__icons {
      margin-bottom: 34px;
    }

    &__contacts {
      font-size: 16px;
      line-height: 26px;
    }
  }
}











